"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactCssThemr = require("react-css-themr");

var _interpolate = _interopRequireDefault(require("interpolate"));

var _Image = _interopRequireDefault(require("../Image"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function ImageList(_ref) {
  var items = _ref.items,
      _ref$largeCount = _ref.largeCount,
      largeCount = _ref$largeCount === void 0 ? 2 : _ref$largeCount,
      _ref$smallCount = _ref.smallCount,
      smallCount = _ref$smallCount === void 0 ? 3 : _ref$smallCount,
      _ref$showMoreMessage = _ref.showMoreMessage,
      showMoreMessage = _ref$showMoreMessage === void 0 ? '{count}+' : _ref$showMoreMessage,
      onSelect = _ref.onSelect,
      onShowMore = _ref.onShowMore,
      theme = _ref.theme;
  var largeItems = items.slice(0, largeCount);
  var smallItems = items.slice(largeCount, smallCount + largeCount);
  return _react.default.createElement("div", {
    className: theme.root
  }, largeItems.length > 0 && _react.default.createElement("div", {
    className: theme.largeList
  }, largeItems.map(function (x, idx) {
    return _react.default.createElement("div", {
      className: theme.largeWrapper,
      key: idx
    }, _react.default.createElement("div", {
      className: theme.largeImage,
      onClick: function onClick() {
        return onSelect && onSelect(idx);
      }
    }, _react.default.createElement(_Image.default, _extends({
      className: "absolute w-100 h-100"
    }, x))));
  })), smallItems.length > 0 && _react.default.createElement("div", {
    className: theme.smallList
  }, smallItems.map(function (x, idx) {
    return _react.default.createElement("div", {
      className: theme.smallWrapper,
      key: idx
    }, _react.default.createElement("div", {
      className: theme.smallImage,
      onClick: function onClick() {
        if (onShowMore) onShowMore(largeCount + 1);else if (onSelect) onSelect(largeCount + idx);
      }
    }, _react.default.createElement(_Image.default, _extends({
      className: "absolute w-100 h-100"
    }, x)), idx === smallItems.length - 1 && _react.default.createElement("div", {
      className: (0, _classnames.default)('absolute w-100 h-100', theme.showMoreOverlay)
    }, _react.default.createElement("span", {
      className: theme.showMore
    }, (0, _interpolate.default)(showMoreMessage, {
      count: items.length
    })))));
  })));
}

var _default = (0, _reactCssThemr.themr)('ImageList', {}, {
  composeTheme: 'softly'
})(ImageList);

exports.default = _default;