// @flow

import React from 'react'
import { storiesOf } from '@storybook/react'
import ImageList from '.'

const items = [
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
  { src: 'https://source.unsplash.com/user/erondu/400x300' },
]

const theme = {
  root: '',
  largeList: 'flex w-100 mb2',
  largeWrapper: 'flex-auto ph1',
  largeImage: 'aspect-ratio--4x3 relative pointer',
  smallList: 'flex w-100',
  smallWrapper: 'flex-auto ph1',
  smallImage: 'aspect-ratio--4x3 relative pointer',
  showMoreOverlay: 'bg-black-30 hover-bg-black-40 flex items-center justify-center',
  showMore: 'white f5',
}

storiesOf('Image List', module)
  .add('Have enough items', () => (
    <div>
      <ImageList items={items} showMoreMessage={'Xem thêm {count}+ hình'} theme={theme} onSelect={console.log} />
    </div>
  ))
  .add('Have not enough items', () => (
    <div>
      <ImageList items={items.slice(0, 2)} theme={theme} onSelect={console.log} />
    </div>
  ))
